Author Topic: Reload without "vla"  (Read 2338 times)

0 Members and 1 Guest are viewing this topic.

whdjr

  • Guest
Reload without "vla"
« on: October 05, 2004, 09:12:14 AM »
Is there a way to relaod an xref without using the vla commands?

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Reload without "vla"
« Reply #1 on: October 05, 2004, 09:14:23 AM »
How about this.
Code: [Select]
(command "_xref" "r" "name-of-xref")
TheSwamp.org  (serving the CAD community since 2003)

whdjr

  • Guest
Reload without "vla"
« Reply #2 on: October 05, 2004, 09:18:03 AM »
duh.....too easy!

Thanks, Mark

CADaver

  • Guest
Reload without "vla"
« Reply #3 on: October 05, 2004, 12:30:56 PM »
Code: [Select]
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(DEFUN C:xru ()
(command "-xref" "unload" (cdr (assoc 2 (ENTGET (CAR (ENTSEL "\N Select Element in XREF to UNLOAD  "))))))
)  
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(DEFUN C:xrd ()
(command "-xref" "detach" (cdr (assoc 2 (ENTGET (CAR (ENTSEL "\N Select Element in XREF to DETACH  "))))))
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(DEFUN C:xre ()
(command "-xref" "reload" (cdr (assoc 2 (ENTGET (CAR (ENTSEL "\N Select Element in XREF to RELOAD  "))))))
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(DEFUN C:xrua () (command "-xref" "unload" "*"))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(DEFUN C:xrea () (command "-xref" "reload" "*"))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(DEFUN C:xrda () (command "-xref" "detach" "*"))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;